/*
 * @Company: hugeInfo
 * @Author: ldh
 * @Date: 2022-09-16 16:35:20
 * @LastEditTime: 2022-12-13 15:23:10
 * @LastEditors: lwh
 * @Version: 1.0.0
 * @Description: 城乡社区管理 - 列表组件
 */
import React, { useEffect } from 'react';
import { useHistory } from 'react-router-dom';
import { Space } from 'dingtalk-design-mobile';
import MyList from '../MyList';
import { dateFormat, getUpdateStr, searchTitle } from '../../utils/utility';
import routerStatus from '../../status/router';

const MaterialsList = ({ search, data, hasMore, getScrollTopKey, scrollTop, searchValue, getPageQueryData }) => {
  const history = useHistory();

  // 加载更多数据
  function handleLoadMore(callback) {
    getPageQueryData({ ...search, page: search.page + 1 }, '', callback);
  }

  // 列表更新
  useEffect(() => {
    if (routerStatus.spinPage['materials']) {
      getPageQueryData({ ...search, page: 1, size: search.page * search.size }, 'spin');
      routerStatus.setPageScrollTopNow('materials');
      routerStatus.clearSpinPage('materials');
    }
  }, [routerStatus.spinPage['materials']]);

  return (
    <MyList
      data={data}
      hasMore={hasMore}
      loadMore={handleLoadMore}
      getScrollTopKey={getScrollTopKey}
      scrollTop={scrollTop}
      itemDom={(item, index) => {
        return (
          <div
            className="building-card-bottom"
            style={index === 0 ? { marginTop: 0 } : null}
            onClick={() => history.push(`/hztGrid/villageDetail?id=${item.id}`)}
          >
            <div className="building-card">
              <div className="building-title">
                {searchValue ? searchTitle(item.comName, searchValue) : item.comName}
              </div>
              <div className="building-subtitle">
                <div className="building-subtitle-text">{item.comTypeDesc || '-'}</div>
                <div className="public-split" />
                <div className="building-subtitle-text">{item.districtName || '-'}&nbsp;&nbsp;&nbsp;&nbsp;{item.subdistrictName || '-'}</div>
                <div className="public-split" />
                <div className="building-subtitle-text">楼栋总数：{item.buildCount || 0}</div>
              </div>
            </div>
          </div>
        );
      }}
    />
  );
};

export default MaterialsList;
